Page MenuHomeFreeBSD

LXQt upgrade to 0.14
ClosedPublic

Authored by jsm on Feb 1 2019, 3:45 PM.

Details

Summary

Upgrade the LXQt desktop environment to 0.14
Upstream announcement https://forum.lxqt.org/t/release-lxqt-0-14-0/572

Test Plan

Poudriere and portlint. Poudriere logs are at http://build.schmitz.computer (only amd64 11.2-RELEASE and 12.0 RELEASE)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jsm created this revision.Feb 1 2019, 3:45 PM
jsm updated this revision to Diff 53536.Feb 2 2019, 1:08 PM

This update removes obsolete lxqt l10n ports, and fixes some minor portlint warnings.
Build logs of previous patch is now to find here http://build.schmitz.computer/ (ports lxqt014)

jsm updated this revision to Diff 53589.Feb 4 2019, 9:58 PM
jsm retitled this revision from LXQt upgrade to 0.14 [WIP] to LXQt upgrade to 0.14.
jsm edited the summary of this revision. (Show Details)
jsm edited the test plan for this revision. (Show Details)

I changed c++11-lib to c++14-lang since upstream uses c++14. Updated patch against head@492169.

mat added inline comments.Feb 5 2019, 1:48 PM
MOVED
11571–11578 ↗(On Diff #53589)

When you commit this, don't forget to put these at the correct date.

miwi requested changes to this revision.Feb 5 2019, 1:54 PM

Execpt the MOVED it looks good.

MOVED
11571 ↗(On Diff #53589)

All this needs to go to bottom of the MOVED and fixed to the date of commit.

This revision now requires changes to proceed.Feb 5 2019, 1:54 PM
jsm updated this revision to Diff 53624.Feb 6 2019, 3:06 PM

reverted MOVED. I Will append the following to MOVED
with the actual commit date set, when committing:
x11/libmfmqt-l10n||2019-02-0|Obsolete by upstream
x11-toolkits/qtermwidget-l10n||2019-02-02|Obsolete by upstream
graphics/lximageqt-l10n||2019-02-02|Obsolete by upstream
x11/lxqt-globalkeys-l10n||2019-02-02|Obsolete by upstream
x11-fm/pcmanfmqt-l10n||2019-02-02|Obsolete by upstream
devel/liblxqt-l10n||2019-02-02|Obsolete by upstream
x11/lxqt-l10n||2019-02-02|Obsolete by upstream
x11/qterminal-l10n||2019-02-02|Obsolete by upstream

miwi accepted this revision.Feb 6 2019, 3:12 PM

Thanks Looks good!

mat accepted this revision as: portmgr.Mar 26 2019, 11:19 AM

You don't need portmgr's approval here, the only reason phabricator adds portmgr is because you touched a file in Mk, but that file is maintained by ports@, so no need for us here.

This revision is now accepted and ready to land.Mar 26 2019, 11:19 AM
This revision was automatically updated to reflect the committed changes.